diff --git a/check.sh b/check.sh
index e753c9355b732d479b95ea69667e922c63eb79b7..ce40219563b68819202dfcf052919f8dd45a18c2 100755
--- a/check.sh
+++ b/check.sh
@@ -29,8 +29,8 @@ echo
 LOG=$(mktemp) || exit 1
 trap 'cat $LOG && rm -f "$LOG"' EXIT INT HUP TERM
 
-( $blaar_dir/compile.sh t_parse_args 2>&1> $LOG; error=$?; test $error == 127 && echo "already compiled" || exit $error )
-$blaar_dir/bin/t_parse_args "arg1" "arg2" 2> t_parse_args/test_result.log  
+(c$blaar_dir/compile.sh t_parse_args 2>&1> $LOG; error = $?;  test $error == 127 && echo "already compiled" || exit $error; )
+$blaar_dir/bin/t_parse_args "arg1" "arg2" 2> t_parse_args/test_result.log  || { echo "Error executing 't_parse_args':"; cat t_parse_args/test_result.log; }
 git diff --exit-code t_parse_args/test_result.log || { echo "ERROR: The result of 't_parse_args' is not the one expected"; exit 3; }
 echo
 echo "- t_parse_args: compilation:OK, execution:OK, result OK"